<?php 

class FRMServicioEstado extends AppFormulario{
	
	public function init(){
		parent::init();
		
		$this->setAction('/servicio/editar/id/'.$this->getObjeto()->id);
		$this->setAddClassFormHorizontal(true);
		
		
		$numeroServicio = new EFTexto('numeroServicio');
		$numeroServicio->setLabel('Número de Servicio:');
		$this->addElement($numeroServicio);
		
		$tipoServicio = new EFTexto('tipoServicio');
		$tipoServicio->setLabel('Tipo de Servicio:');
		$this->addElement($tipoServicio); 
		
		
		$clienteNombre = new EFTexto('clienteNombre'); 
		$clienteNombre->setLabel('Cliente:');
		$this->addElement($clienteNombre);
		
		$nombreVehiculo = new EFTexto('nombreVehiculo');
		$nombreVehiculo->setLabel('Vehículo:');
		$this->addElement($nombreVehiculo);
		
		$vehiculoMatricula = new EFTexto('vehiculoMatricula');
		$vehiculoMatricula->setLabel('Matrícula:');
		$this->addElement($vehiculoMatricula);
		
		$fecha_hora_inicio = new EFTexto('fecha_hora_inicio');
		$fecha_hora_inicio->setLabel('Inicio del servicio');
		$this->addElement($fecha_hora_inicio);
		
		$origenLugar = NEW EFTexto('origenLugar');
		$origenLugar->setLabel('Lugar inicial:');
		$this->addElement($origenLugar);
		
		$direccion_origen = new EFTexto('direccion_origen');
		$direccion_origen->setLabel('Dirección inicial:');
		$this->addElement($direccion_origen);
		
		
		$direccion_destino = new EFTexto('direccion_destino');
		$direccion_destino->setLabel('Dirección final:');
		$this->addElement($direccion_destino);
		
		$itinerario = new EFTextArea('itinerario');
		$this->setLabelSuperior('Itinerario');
		$this->addElement($itinerario);
		
		//$this->soloLectura();
		
		// Disposición en el formulario
		
		$caja = new VstFieldSet();
		$caja->setSoloLectura(true);
		$caja->addElement($numeroServicio);
		$caja->addElement($tipoServicio);
		$caja->addElement($clienteNombre);
		$caja->addElement($nombreVehiculo);
		$caja->addElement($vehiculoMatricula);
		$caja->addElement($fecha_hora_inicio);
		$caja->addElement($origenLugar);
		$caja->addElement($direccion_origen);
		$caja->addElement($direccion_destino);
		$caja->addElement($itinerario);
		$this->addElementoVista($caja);
		
		
		/*
		
		$horaCeremonia;
		
		$vehiculoMarca;
		$vehiculoModelo;
		
		$vehiculoGrupo;
		
		$horaParkingSalida;
		$horaParkingEntrada;
		$tiempoParking;
		$kilometrosParkingLlegada;
		$kilometrosParkingEntrada;
		$iva;
		
		$nombreCorto;
		*/
		
	}

	public function __construct(Servicio $objeto){
		$this->_objeto = $objeto;
		parent::__construct();
	}
}